Kismet Wireless

Kismet Forums

 

Posted by:pchristy
Subject:LibUSB (again!)
Date:09:37:33 14/03/2010

> However this change breaks it for everyone else, because the libusb code compatibility layer isn't actually compatible.
>
> -m

Okay, but it works for me, and maybe others in a similar position.

Since this seems to be the only showstopper (for me, anyway!), perhaps it needs a line added to detect which version of LibUSB is in use, and set or ignore the int statement accordingly.

Please understand that I haven't looked elsewhere in the code to see if there are any other knock-on effects, and I don't have the dbx dongle, so I've no idea if this stops that particular piece of hardware from working!

As I said, it works for me, so I'm happy!

--
Pete


Reply to this message